
 LinHES - Feature # 908: R8 2/11/2013 Firefly Remote Missing Buttons

Status: Closed Priority: Normal
Author: RacerX Category:
Created: 03/02/2013 Assignee: jams
Updated: 08/26/2013 Due date:
Description: I just upgraded my stand alone frontend to R8... nice work so far!!  However, I did notice that many of the 

Firefly's buttons aren't working, only a few of them work so here is my XML config from XBMC.  This should 
allow more for tighter control with the remote

<remote device="Snapstream_Firefly">
                    <pause>PAUSE</pause>
                    <stop>STOP</stop>
                    <forward>FWD</forward>
                    <reverse>REW</reverse>
                    <left>LEFT</left>
                    <right>RIGHT</right>
                    <up>UP</up>
                    <down>DOWN</down>
                    <select>OK</select>
                    <pageplus>CH+</pageplus>
                    <pageminus>CH-</pageminus>
                    <back>EXIT</back>
                    <menu>MENU</menu>
                    <title>PLAY</title>
                    <info>INFO</info>
                    <skipplus>NEXT</skipplus>
                    <skipminus>PREV</skipminus>
                    <display>MAXI</display>
                    <start>FIREFLY</start>
                    <record>REC</record>
                    <volumeplus>VOL+</volumeplus>
                    <volumeminus>VOL-</volumeminus>
                    <mute>MUTE</mute>
                    <power>CLOSE</power>
                    <one>1</one>
                    <two>2</two>
                    <three>3</three>
                    <four>4</four>
                    <five>5</five>
                    <six>6</six>
                    <seven>7</seven>
                    <eight>8</eight>
                    <nine>9</nine>
                    <zero>0</zero>
            </remote>

Associated revisions
06/04/2013 12:46 pm - jams
xbmc: Fix xml to call the shell script for xbmc  instead of xbmc directly
refs #908
closes #908
06/04/2013 12:50 pm - jams
system-templates:  Fixed firefly lirc mapping.  config files provided by RacerX
Also add xbmc.xml for xbmc lirc mapping.

refs #908
closes #908

History
03/11/2013 07:16 pm - RacerX
To clarify here's a little more information.  In the MythVantage Snapstream_Firefly Conf there are some issues.

These buttons don't work
Vol+
Vol-
CH+
CH-
INFO

Pushing the Stop button performs the function of the INFO button.

04/01/2013 10:12 am - RacerX
RacerX wrote:
> To clarify here's a little more information.  In the MythVantage Snapstream_Firefly Conf there are some issues.
> 
> These buttons don't work
> Vol+
> Vol-
> CH+
> CH-
> INFO
> 
> Pushing the Stop button performs the function of the INFO button.

The mute button shows on the screen as "mute on" but it doesn't mute the sound

04/28/2013 07:13 am - RacerX
When watching live TV the record button doesn't work to record the show you are watching

RacerX wrote:
> RacerX wrote:
> > To clarify here's a little more information.  In the MythVantage Snapstream_Firefly Conf there are some issues.
> > 
> > These buttons don't work
> > Vol+
> > Vol-
> > CH+
> > CH-
> > INFO
> > 
> > Pushing the Stop button performs the function of the INFO button.
> 
> The mute button shows on the screen as "mute on" but it doesn't mute the sound

05/31/2013 08:17 pm - jams
Do you have working lirc files that could replace the ones shipped?

06/01/2013 12:24 pm - RacerX
jams wrote:
> Do you have working lirc files that could replace the ones shipped?

Suspected the lircd.snapstrm.conf but it matches what's on the web historically. Some of the keys do the wrong fuction others do nothing.  

06/03/2013 12:05 pm - jams
RacerX wrote:
> jams wrote:
> > Do you have working lirc files that could replace the ones shipped?
> 
> Suspected the lircd.snapstrm.conf but it matches what's on the web historically. Some of the keys do the wrong fuction others do nothing.

all teh buttons on that remote function.  The problem is lircrc appears to be a cut/paste from other remotes.  Those buttons have been "not working" for 
a very long time.

06/04/2013 09:33 am - RacerX
- File lircrc-snapstrm.txt added

jams wrote:
> RacerX wrote:
> > jams wrote:
> > > Do you have working lirc files that could replace the ones shipped?
> > 
> > Suspected the lircd.snapstrm.conf but it matches what's on the web historically. Some of the keys do the wrong fuction others do nothing.
> 
> all teh buttons on that remote function.  The problem is lircrc appears to be a cut/paste from other remotes.  Those buttons have been "not working" 
for a very long time.

Reworked lircrc-snapstream.txt - fixed mislabeled buttons, removed xine and mplayer configs, setup jump points 

06/04/2013 09:42 am - jams

> Reworked lircrc-snapstream.txt - fixed mislabeled buttons, removed xine and mplayer configs, setup jump points
Funny  I just finished doing almost the same thing.  If your certain this layout is complete, I will use it instead
06/04/2013 09:52 am - RacerX
jams wrote:
> > Reworked lircrc-snapstream.txt - fixed mislabeled buttons, removed xine and mplayer configs, setup jump points
> Funny  I just finished doing almost the same thing.  If your certain this layout is complete, I will use it instead

So far so good I tested on R7.5. Additionally,  would like to add the Help button to show ALT-H  but I'm not quite how to create a button?

06/04/2013 10:07 am - jams
Untested  but this should do it.

begin
        prog = irxevent
        button = HELP
        repeat = 3
        config = Key ALT-H
end

06/04/2013 12:54 pm - jams
- Assignee set to jams

- Target version set to 8.1

- Status changed from New to Closed

packaged files provided by RacerX.
Added in config so that the help button on the remote issues an alt+h

08/26/2013 12:52 pm - brfransen
- Target version changed from 8.1 to 8.0

Files
lircrc-snapstrm.txt 3.3 kB 06/04/2013 RacerX
